<?php
/**
 * Colors Customizer options
 *
 * @package Acoustics
 */
/*--------------------------------------------
	General
---------------------------------------------*/
$wp_customize->add_setting( 'acoustics_general_color_title',
	array(
		'default' 			=> '',
		'sanitize_callback' => 'acoustics_sanitize_text'
	)
);

$wp_customize->add_control(
	new Acoustics_Control_Heading(
		$wp_customize,
		'acoustics_general_color_title',
		array(
			'label'			=> esc_html__( 'General', 'acoustics' ),
			'section' 		=> 'colors',
            'priority' 			=> 5
		)
	)
);

$wp_customize->add_setting( 'acoustics_website_accent_color',
	array(
		'default'           => '#000000',
		'sanitize_callback' => 'acoustics_sanitize_hex_rgba',
		'transport'         => 'refresh'
	)
);

$wp_customize->add_control(
	new Acoustics_Control_AlphaColor(
		$wp_customize,
		'acoustics_website_accent_color',
		array(
			'label'         	=> esc_html__( 'Accent color', 'acoustics' ),
			'section'       	=> 'colors',
            'priority' 			=> 5
		)
	)
);

$wp_customize->add_setting( 'acoustics_website_general_color_divider',
	array(
		'sanitize_callback' => 'acoustics_sanitize_text'
	)
);

$wp_customize->add_control(
	new Acoustics_Control_Divider(
		$wp_customize,
		'acoustics_website_general_color_divider',
		array(
			'section' 		=> 'colors',
			'priority' 			=> 5
		)
	)
);

$wp_customize->add_setting( 'acoustics_header_color_title',
	array(
		'default' 			=> '',
		'sanitize_callback' => 'acoustics_sanitize_text'
	)
);

$wp_customize->add_control(
	new Acoustics_Control_Heading(
		$wp_customize,
		'acoustics_header_color_title',
		array(
			'label'			=> esc_html__( 'Website', 'acoustics' ),
			'section' 		=> 'colors',
            'priority' 			=> 6
		)
	)
);

$wp_customize->add_setting( 'acoustics_website_text_color',
	array(
		'default'           => '#757575',
		'sanitize_callback' => 'acoustics_sanitize_hex_rgba',
		'transport'         => 'refresh'
	)
);

$wp_customize->add_control(
	new Acoustics_Control_AlphaColor(
		$wp_customize,
		'acoustics_website_text_color',
		array(
			'label'         	=> esc_html__( 'Text', 'acoustics' ),
			'section'       	=> 'colors',
			'border'			=> true,
            'priority' 			=> 7
		)
	)
);

$wp_customize->add_setting( 'acoustics_website_heading_color',
	array(
		'default'           => '#121212',
		'sanitize_callback' => 'acoustics_sanitize_hex_rgba',
		'transport'         => 'refresh'
	)
);

$wp_customize->add_control(
	new Acoustics_Control_AlphaColor(
		$wp_customize,
		'acoustics_website_heading_color',
		array(
			'label'         	=> esc_html__( 'Heading', 'acoustics' ),
			'section'       	=> 'colors',
			'border'			=> true,
            'priority' 			=> 7
		)
	)
);

$wp_customize->add_setting(
	'acoustics_link_color',
	array(
		'default'           => '#000000',
		'sanitize_callback' => 'acoustics_sanitize_hex_rgba'
	)
);

$wp_customize->add_setting(
	'acoustics_link_color_hover',
	array(
		'default'           => '#121212',
		'sanitize_callback' => 'acoustics_sanitize_hex_rgba'
	)
);

$wp_customize->add_control(
	new Acoustics_Control_ColorGroup(
		$wp_customize,
		'acoustics_link_color',
		array(
			'label'    => esc_html__('Link color', 'acoustics'),
			'section'  => 'colors',
			'border' 	=> true,
			'settings' => array(
				'normal' => 'acoustics_link_color',
				'hover'  => 'acoustics_link_color_hover',
			),
			'priority' => 7
		)
	)
);

$wp_customize->add_setting( 'acoustics_website_color_divider',
	array(
		'sanitize_callback' => 'acoustics_sanitize_text'
	)
);

$wp_customize->add_control(
	new Acoustics_Control_Divider(
		$wp_customize,
		'acoustics_website_color_divider',
		array(
			'section' 		=> 'colors',
			'priority' 			=> 15
		)
	)
);

$wp_customize->add_setting( 'acoustics_form_color_title',
	array(
		'default' 			=> '',
		'sanitize_callback' => 'acoustics_sanitize_text'
	)
);

$wp_customize->add_control(
	new Acoustics_Control_Heading(
		$wp_customize,
		'acoustics_form_color_title',
		array(
			'label'			=> esc_html__( 'Form', 'acoustics' ),
			'section' 		=> 'colors',
            'priority' 			=> 15
		)
	)
);

$wp_customize->add_setting( 'acoustics_form_field_color',
	array(
		'default'           => '#212121',
		'sanitize_callback' => 'acoustics_sanitize_hex_rgba',
		'transport'         => 'refresh'
	)
);

$wp_customize->add_control(
	new Acoustics_Control_AlphaColor(
		$wp_customize,
		'acoustics_form_field_color',
		array(
			'label'         	=> esc_html__( 'Color', 'acoustics' ),
			'section'       	=> 'colors',
			'border'			=> true,
            'priority' 			=> 20
		)
	)
);

$wp_customize->add_setting( 'acoustics_form_field_background',
	array(
		'default'           => '#ffffff',
		'sanitize_callback' => 'acoustics_sanitize_hex_rgba',
		'transport'         => 'refresh'
	)
);

$wp_customize->add_control(
	new Acoustics_Control_AlphaColor(
		$wp_customize,
		'acoustics_form_field_background',
		array(
			'label'         	=> esc_html__( 'Background', 'acoustics' ),
			'section'       	=> 'colors',
			'border'			=> true,
            'priority' 			=> 20
		)
	)
);

$wp_customize->add_setting( 'acoustics_border_color',
	array(
		'default'           => '#e6e6e6',
		'sanitize_callback' => 'acoustics_sanitize_hex_rgba',
		'transport'         => 'refresh'
	)
);

$wp_customize->add_control(
	new Acoustics_Control_AlphaColor(
		$wp_customize,
		'acoustics_border_color',
		array(
			'label'         	=> esc_html__( 'Border color', 'acoustics' ),
			'section'       	=> 'colors',
            'priority' 			=> 25
		)
	)
);

$wp_customize->add_setting( 'acoustics_website_form_divider',
	array(
		'default' 			=> '',
		'sanitize_callback' => 'acoustics_sanitize_text'
	)
);

$wp_customize->add_control(
	new Acoustics_Control_Divider(
		$wp_customize,
		'acoustics_website_form_divider',
		array(
			'section' 		=> 'colors',
			'priority' 			=> 30
		)
	)
);

$wp_customize->add_setting( 'acoustics_content_card_color_title',
	array(
		'default' 			=> '',
		'sanitize_callback' => 'acoustics_sanitize_text'
	)
);

$wp_customize->add_control(
	new Acoustics_Control_Heading(
		$wp_customize,
		'acoustics_content_card_color_title',
		array(
			'label'			=> esc_html__( 'Content card', 'acoustics' ),
			'section' 		=> 'colors',
            'priority' 			=> 30
		)
	)
);

$wp_customize->add_setting( 'acoustics_content_card_color',
	array(
		'default'           => '#262626',
		'sanitize_callback' => 'acoustics_sanitize_hex_rgba',
		'transport'         => 'refresh'
	)
);

$wp_customize->add_control(
	new Acoustics_Control_AlphaColor(
		$wp_customize,
		'acoustics_content_card_color',
		array(
			'label'         	=> esc_html__( 'Color', 'acoustics' ),
			'section'       	=> 'colors',
			'border'			=> true,
            'priority' 			=> 30
		)
	)
);

$wp_customize->add_setting( 'acoustics_content_card_heading_color',
	array(
		'default'           => '#212121',
		'sanitize_callback' => 'acoustics_sanitize_hex_rgba',
		'transport'         => 'refresh'
	)
);

$wp_customize->add_control(
	new Acoustics_Control_AlphaColor(
		$wp_customize,
		'acoustics_content_card_heading_color',
		array(
			'label'         	=> esc_html__( 'Heading color', 'acoustics' ),
			'section'       	=> 'colors',
			'border'			=> true,
            'priority' 			=> 30
		)
	)
);

$wp_customize->add_setting( 'acoustics_content_card_background_color',
	array(
		'default'           => '#FBFBF9',
		'sanitize_callback' => 'acoustics_sanitize_hex_rgba',
		'transport'         => 'refresh'
	)
);

$wp_customize->add_control(
	new Acoustics_Control_AlphaColor(
		$wp_customize,
		'acoustics_content_card_background_color',
		array(
			'label'         	=> esc_html__( 'Background', 'acoustics' ),
			'section'       	=> 'colors',
            'priority' 			=> 30
		)
	)
);

$wp_customize->add_setting( 'acoustics_website_content_card_color_divider',
	array(
		'sanitize_callback' => 'acoustics_sanitize_text'
	)
);

$wp_customize->add_control(
	new Acoustics_Control_Divider(
		$wp_customize,
		'acoustics_website_content_card_color_divider',
		array(
			'section' 		=> 'colors',
			'priority' 			=> 30
		)
	)
);

$wp_customize->add_setting( 'acoustics_other_color_title',
	array(
		'default' 			=> '',
		'sanitize_callback' => 'acoustics_sanitize_text'
	)
);

$wp_customize->add_control(
	new Acoustics_Control_Heading(
		$wp_customize,
		'acoustics_other_color_title',
		array(
			'label'			=> esc_html__( 'Other', 'acoustics' ),
			'section' 		=> 'colors',
            'priority' 			=> 30
		)
	)
);

$wp_customize->add_setting( 'acoustics_success_color',
	array(
		'default'           => '#16A679',
		'sanitize_callback' => 'acoustics_sanitize_hex_rgba',
		'transport'         => 'refresh'
	)
);

$wp_customize->add_control(
	new Acoustics_Control_AlphaColor(
		$wp_customize,
		'acoustics_success_color',
		array(
			'label'         	=> esc_html__( 'Success color', 'acoustics' ),
			'section'       	=> 'colors',
			'border'			=> true,
            'priority' 			=> 30
		)
	)
);

$wp_customize->add_setting( 'acoustics_error_color',
	array(
		'default'           => '#C5280C',
		'sanitize_callback' => 'acoustics_sanitize_hex_rgba',
		'transport'         => 'refresh'
	)
);

$wp_customize->add_control(
	new Acoustics_Control_AlphaColor(
		$wp_customize,
		'acoustics_error_color',
		array(
			'label'         	=> esc_html__( 'Error color', 'acoustics' ),
			'section'       	=> 'colors',
            'priority' 			=> 30
		)
	)
);
